## org.apache.lucene.index
Class IndexFormatTooNewException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.lucene.index.CorruptIndexException
                      org.apache.lucene.index.IndexFormatTooNewException

All Implemented Interfaces:
  Serializable

    public class IndexFormatTooNewException

extends CorruptIndexException

This exception is thrown when Lucene detects an index that is newer than this Lucene version.

See Also:
  Serialized Form

Constructor Summary
`IndexFormatTooNewException(DataInput in, int version, int minVersion, int maxVersion)` Creates an `IndexFormatTooNewException`
`IndexFormatTooNewException(String resourceDesc, int version, int minVersion, int maxVersion)` Creates an `IndexFormatTooNewException`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexFormatTooNewException

    public IndexFormatTooNewException(String resourceDesc,
                                      int version,
                                      int minVersion,
                                      int maxVersion)

  Creates an `IndexFormatTooNewException`

  Parameters:
    `resourceDesc` - describes the file that was too old
    `version` - the version of the file that was too old
    `minVersion` - the minimum version accepted
    `maxVersion` - the maxium version accepted
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### IndexFormatTooNewException

    public IndexFormatTooNewException(DataInput in,
                                      int version,
                                      int minVersion,
                                      int maxVersion)

  Creates an `IndexFormatTooNewException`

  Parameters:
    `in` - the open file that's too old
    `version` - the version of the file that was too old
    `minVersion` - the minimum version accepted
    `maxVersion` - the maxium version accepted
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.